Picar-X camera does not work

Hello,

I assembled the Picar-X exactly according to instructions with Raspberrypi 4. All of the examples work fine except the camera.

I checked the FCC cable on both ends and they are perfectly in place.

Console logs:

$ libcamera-hello --list-cameras
No cameras available!

$ libcamera-hello
MoTTY X11 proxy: unable to connect to forwarded X server: Network error: Software caused connection abort
Preview window unavailable
[0:12:33.134249754] [2250] INFO Camera camera_manager.cpp:297 libcamera v0.0.5+83-bde9b04f
ERROR: *** no cameras available ***

~/picar-x/example $ sudo python3 7.display.py
vilib 0.2.1 launching …
picamera2 0.3.12
imshow start …

Input key to call the function!
q: Take photo
1: Color detect : red
2: Color detect : orange
3: Color detect : yellow
4: Color detect : green
5: Color detect : blue
6: Color detect : purple
0: Switch off Color detect
r: Scan the QR code
f: Switch ON/OFF face detect
s: Display detected object information

Camera(s) not found (Do not forget to disable legacy camera with raspi-config).
Camera init sequence did not complete.
Exception in thread camera_satrt:
Traceback (most recent call last):
File “/usr/lib/python3/dist-packages/picamera2/picamera2.py”, line 242, in init
self._open_camera()
File “/usr/lib/python3/dist-packages/picamera2/picamera2.py”, line 442, in _open_camera
if not self._initialize_camera():
File “/usr/lib/python3/dist-packages/picamera2/picamera2.py”, line 406, in _initialize_camera
raise RuntimeError(“Camera(s) not found (Do not forget to disable legacy camera with raspi-config).”)
RuntimeError: Camera(s) not found (Do not forget to disable legacy camera with raspi-config).

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3.9/threading.py”, line 954, in _bootstrap_inner
self.run()
File “/usr/lib/python3.9/threading.py”, line 892, in run
self._target(*self._args, **self._kwargs)
File “/usr/local/lib/python3.9/dist-packages/vilib-0.2.1-py3.9.egg/vilib/vilib.py”, line 643, in camera_clone
Vilib.camera()
File “/usr/local/lib/python3.9/dist-packages/vilib-0.2.1-py3.9.egg/vilib/vilib.py”, line 650, in camera
picam2 = Picamera2()
File “/usr/lib/python3/dist-packages/picamera2/picamera2.py”, line 254, in init
raise RuntimeError(“Camera init sequence did not complete.”)
RuntimeError: Camera init sequence did not complete.

It looks that the camera is not being detected at all.

UPDATE:

I am able to take a picture using this command:

sudo raspistill -o test.png

In order to help you reproduce the issue you’re facing, could you please provide us with the version of the system you are currently using?
Additionally, please ensure that you have followed the camera wiring diagram we provided.